package cn.ibizlab.core.extensions.service;

import cn.ibizlab.core.dict.service.impl.DictOptionServiceImpl;
import lombok.extern.slf4j.Slf4j;
import cn.ibizlab.core.dict.domain.DictOption;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.context.annotation.Primary;
import java.util.*;

/**
 * 实体[字典项] 自定义服务对象
 */
@Slf4j
@Primary
@Service("DictOptionExService")
public class DictOptionExService extends DictOptionServiceImpl {

    @Override
    protected Class currentModelClass() {
        return com.baomidou.mybatisplus.core.toolkit.ReflectionKit.getSuperClassGenericType(this.getClass().getSuperclass(), 1);
    }

    /**
     * [Test:行为] 行为扩展
     * @param et
     * @return
     */
    @Override
    @Transactional
    public DictOption test(DictOption et) {
        return super.test(et);
    }
}

