package cn.ibizlab.core.extensions.domain;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.sql.Timestamp;
import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class FetchMetricDatasParam {
    private boolean includechild = true;
    private String reportid;
    // 表格展示类型：默认为普通模式（单位数据以行进行展示），2.  LIST_BOX表示单位数据以列的形式展示，
    private String tableDisplayType = "default";
//    private String dimcodelist = "DST_cl_dst_region";
    private String dimcodelist = "CL_DST_REGION";
    private List<String> metricids;
    private List<String> dimField;
    private String dimval;
    private Timestamp starttime;
    private Timestamp endtime;
    private String ruleid;
    private String keyvaluefield;
    private String businesscat;
    private long pagingCurrent;
    private String ext_1field;
}
